## atomicparsley 20210715.151551.e7ad03a

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(AtomicParsley)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

option(ASAN "whether to enable ASAN" OFF)

find_program(GIT git)
if(GIT)
  execute_process(
    COMMAND "${GIT}" "show" "-s" "--format=%H;%cd" "--date=format:%Y%m%d.%H%M%S.0"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    RESULT_VARIABLE git_result
    OUTPUT_VARIABLE git_data
    ERROR_VARIABLE git_err
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if(git_result EQUAL 0)
    list(GET git_data 0 BUILD_INFO)
    list(GET git_data 1 PACKAGE_VERSION)
  endif()
endif()

include(CheckSymbolExists)
check_symbol_exists(strsep "string.h" HAVE_STRSEP)
if(HAVE_STRSEP)
  add_definitions(-DHAVE_STRSEP)
endif()
check_symbol_exists(fseeko "stdio.h" HAVE_FSEEKO)
if(HAVE_FSEEKO)
  add_definitions(-DHAVE_FSEEKO)
endif()

add_definitions(
  -DPACKAGE_VERSION="${PACKAGE_VERSION}"
  -DBUILD_INFO="${BUILD_INFO}"
  -D_FILE_OFFSET_BITS=64
)

find_package(ZLIB)
if(ZLIB_FOUND)
  include_directories(${ZLIB_INCLUDE_DIRS})
  add_definitions(-DHAVE_ZLIB_H)
endif()

list(APPEND sources
	src/CDtoc.cpp
	src/arrays.cpp
	src/compress.cpp
	src/extracts.cpp
	src/iconv.cpp
	src/id3v2.cpp
	src/main.cpp
	src/metalist.cpp
	src/parsley.cpp
	src/sha1.cpp
	src/util.cpp
	src/uuid.cpp
)

if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  list(APPEND sources
    src/nsfile.mm
    src/nsimage.mm
  )
endif()

if(WIN32)
  list(APPEND sources
    src/extras/getopt.c
    src/extras/getopt1.c
  )
endif()

add_executable(
  AtomicParsley
  ${sources}
)

if(ZLIB_FOUND)
  target_link_libraries(
    AtomicParsley
    ${ZLIB_LIBRARIES}
  )
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  target_link_libraries(
    AtomicParsley
    "-framework Cocoa"
    "-framework Foundation"
    "-framework IOKit"
  )
endif()

if (ASAN)
  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
  set (CMAKE_LINKER_FLAGS_DEBUG "${CMAKE_LINKER_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
endif()

install(TARGETS AtomicParsley RUNTIME)

## atomicparsley 0.9.2~svn110

=== debian/changelog ===
atomicparsley (0.9.2~svn110-4) unstable; urgency=low

  * Drop all local CDBS snippets: included with main cdbs package now.
  * Refresh patch.
  * Drop build-dependencies on devscripts and dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Mar 2010 01:15:42 +0100

atomicparsley (0.9.2~svn110-3) unstable; urgency=low

  * Update local cdbs snippets:
    + Update package-relations.mk: Cleanup and tighten dependencies.
      Improve whitespace cleanup. Rewrite and silence applying
      dependencies.
    + Let copyright-check.mk investigate top 99999 lines (not just 60 as
      default for licensecheck), and make it configurable with
      DEB_COPYRIGHT_CHECK_PARSELINES. Silence (GENERATED FILE) licensing
      notices. Group by owners (ignoring years) and sort owner list by
      years.
    + Update upstream-tarball.mk to preserve bzip2 tarballs with source
      format 3.0 (quilt).
  * Add patch 1001 to fix const chars. Closes: bug##560480, thanks to
    Lucas Nussbaum.
  * Use source format '3.0 "quilt"'.
  * Minor fix and cosmetics: Extend copyright year, and reorder a set of
    owners, in debian/copyright.
  * Cleanup double cdbs build-dependency.
  * Bump Standards-Version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Feb 2010 13:44:47 +0100

atomicparsley (0.9.2~svn110-2) unstable; urgency=low

  * Add Vcs-* stanzas (collab-maint Git at Alioth).
  * , thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jul 2009 01:06:18 +0200

atomicparsley (0.9.2~svn110-1) unstable; urgency=low

  * Initial release. Closes: bug#536709.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jul 2009 00:53:28 +0200

=== debian/control ===
Source: atomicparsley
Section: video
Priority: optional
Homepage: http://atomicparsley.sourceforge.net/
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, autoconf, debhelper (>= 6), libz-dev
Vcs-Git: git://git.debian.org/git/collab-maint/atomicparsley.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/atomicparsley.git;a=summary
Standards-Version: 3.8.4

Package: atomicparsley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read, parse and set metadata of MPEG-4 and 3gp files
 AtomicParsley is a lightweight command line program for reading,
 parsing and setting metadata into MPEG-4 files supporting these styles
 of metadata:
 .
  - iTunes-style metadata into .mp4, .m4a, .m4p, .m4v, .m4b files
  - 3gp-style assets (3GPP TS 26.444 version 6.4.0 Release 6
    specification conforming) in 3GPP, 3GPP2, MobileMP4 & derivatives
  - ISO copyright notices at movie & track level for MPEG-4 & derivative
    files
  - uuid private user extension text & file embedding for MPEG-4 &
    derivative files

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for AtomicParsley
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_AUTO_UPDATE_AUTOCONF = 2.63
#DEB_AUTO_UPDATE_AUTOHEADER = 2.63
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_UPSTREAM_PACKAGE = AtomicParsley-source
DEB_UPSTREAM_URL = http://downloads.sourceforge.net/sourceforge/atomicparsley
DEB_UPSTREAM_TARBALL_MD5 = 6782d4231d6dcd73eb7834d5f8a09b25

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^configure|debian/(changelog|copyright(|_hints|_newhints))$

DEB_MAKE_CLEAN_TARGET = maint-clean

# Cleanup automade files
clean::
	rm -f configure
	rm -f src/config.h
#	rm -f src/config.h.in

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libz-dev

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
# use qa.debian.org redirector; see man uscan
http://sf.net/atomicparsley/AtomicParsley-source-(\d.*)\.zip debian

## atomicparsley 0.9.6

=== debian/changelog ===
atomicparsley (0.9.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Track, list as source and upstream contact in copyright info, and
    download from bitbucket.org (not sf.net).
    Closes: bug#782162. Thanks to Mathieu Malaterre.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .hg* file.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump copyright format to 1.0.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Extend coverage for myself.
    +  Relicense packaging as GPL-3+.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Modernize cdbs use:
    + Stop suppress optional parts: All needs satisfied even in
      oldstable.
    + Build-depend on devscripts.
  * Stop suppres copyright check of configure file: Not included
    upstream.
  * Bootstrap autotools.
    Build-depend on dh-autoreconf.
    Stop build-depend (explicitly) on autoconf.
  * Move packaging to multimedia team:
    + Adapt Maintainer, Uploaders, and Vcs-* fields.
  * Add lintian override regarding debhelper 9.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update watch file:
    + Modernize to use format 4.
    + Mention gbp in usage hint comment.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 19:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,17 @@
 Section: video
 Priority: optional
 Homepage: http://atomicparsley.sourceforge.net/
-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs, autoconf, debhelper (>= 6), libz-dev
-Vcs-Git: git://git.debian.org/git/collab-maint/atomicparsley.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/atomicparsley.git;a=summary
-Standards-Version: 3.8.4
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:Jonas Smedegaard <dr@jones.dk>
+Build-Depends: cdbs,
+ devscripts,
+ debhelper,
+ dh-buildinfo,
+ libz-dev,
+ dh-autoreconf
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/atomicparsley.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/atomicparsley.git
+Standards-Version: 3.9.8
 
 Package: atomicparsley
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010, 2012-2013, 2015-2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for AtomicParsley
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Resolve basename from tags tab at https://bitbucket.org/wez/atomicparsley
DEB_UPSTREAM_URL = https://bitbucket.org/wez/atomicparsley/get
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libz-dev

# (Re)create autotools
include /usr/share/cdbs/1/rules/autoreconf.mk
CDBS_BUILD_DEPENDS_rules_buildcore_config-guess-sub =

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://bitbucket.org/wez/atomicparsley/downloads .*/get/([\d.]+)@ARCHIVE_EXT@

## atomicparsley 20210715.151551.e7ad03a

=== debian/changelog ===
atomicparsley (20210715.151551.e7ad03a-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#782187, thanks to Mathieu Malaterre;
    closes: bug#993366, #993372, thanks to Neil Williams,
    CVE-2021-37231 CVE-2021-37232

  [ Jonas Smedegaard ]
  * move maintenance to the Debian team on Salsa
  * update git-buildpackage config:
    + use DEP-14 branches upstream/latest debian/latest
    + stop set explicit compression method
    + avoid any .git* files
  * update watch file: track GitHub source
  * update copyright info:
    + list GitHub as source
    + list GitHub issue tracker as preferred upstream contact
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper);
    stop build-depend explicitly on dh-autoreconf
  * simplify source helper script copyright-check
  * list GitHub as Homepage;
    closes: bug#987034, thanks to Brian Sammon
  * stop explicitly install executable;
    build-depend on cmake

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Sep 2021 11:26:19 +0200

atomicparsley (0.9.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Update copyright info: Use https protocol in Format field.
  * Set Vcs-* fields to salsa.debian.org.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

  [ Jonas Smedegaard ]
  * Simplify rules.
    Stop build-depend on devscripts cdbs.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Update copyright info:
    + Fix double-space-delimit copyright holders.
    + Extend coverage of packaging.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file:
    + Fix tracking URL.
    + Simplify regular expressions.
    + Rewrite usage comment.
    + Use substitution strings.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Feb 2019 14:43:55 +0100

=== debian/control ===
Source: atomicparsley
Section: video
Priority: optional
Homepage: https://github.com/wez/atomicparsley
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libz-dev,
Vcs-Git: https://salsa.debian.org/debian/atomicparsley.git
Vcs-Browser: https://salsa.debian.org/debian/atomicparsley
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: atomicparsley
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read, parse and set metadata of MPEG-4 and 3gp files
 AtomicParsley is a lightweight command line program
 for reading, parsing and setting metadata into MPEG-4 files
 supporting these styles of metadata:
 .
  * iTunes-style metadata
    into .mp4, .m4a, .m4p, .m4v, .m4b files
  * 3gp-style assets
    (3GPP TS 26.444 version 6.4.0 Release 6 specification conforming)
    in 3GPP, 3GPP2, MobileMP4 & derivatives
  * ISO copyright notices at movie & track level
    for MPEG-4 & derivative files
  * uuid private user extension text & file embedding
    for MPEG-4 & derivative files

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto,repacksuffix=~dfsg \
https://github.com/wez/atomicparsley/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## atomicparsley 20240608.083822.1ed9031

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.5)
 project(AtomicParsley)
 
 if(NOT CMAKE_BUILD_TYPE)
@@ -100,4 +100,4 @@
   set (CMAKE_LINKER_FLAGS_DEBUG "${CMAKE_LINKER_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
 endif()
 
-install(TARGETS AtomicParsley RUNTIME)
+install(TARGETS AtomicParsley RUNTIME DESTINATION bin)

=== debian/changelog ===
atomicparsley (20240608.083822.1ed9031-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage
  * update watch file: improve filename mangling
  * update lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Oct 2024 10:22:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  cmake,
  debhelper-compat (= 13),
  libz-dev,
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/atomicparsley.git
 Vcs-Browser: https://salsa.debian.org/debian/atomicparsley
-Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: atomicparsley

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
dversionmangle=auto,repacksuffix=~dfsg \
https://github.com/wez/atomicparsley/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
